Redeliver an event
curl --request POST \
--url https://go-fetch.io/api/v1/webhooks/deliveries/{id}/retry/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/webhooks/deliveries/{id}/retry/"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/webhooks/deliveries/{id}/retry/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_source": "event",
"status": "pending",
"response_status_code": 123,
"attempts": 123,
"delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}Webhooks
Redeliver an event
Sends a failed delivery, or a successful one from the last 7 days, again.
POST
/
api
/
v1
/
webhooks
/
deliveries
/
{id}
/
retry
/
Redeliver an event
curl --request POST \
--url https://go-fetch.io/api/v1/webhooks/deliveries/{id}/retry/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/webhooks/deliveries/{id}/retry/"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/webhooks/deliveries/{id}/retry/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_source": "event",
"status": "pending",
"response_status_code": 123,
"attempts": 123,
"delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
Path Parameters
Response
200 - application/json
event- Eventapi- APItest- Testmanual- Manual
Available options:
event, api, test, manual pending- Pendingdelivered- Deliveredfailed- Failed
Available options:
pending, delivered, failed